| fdnamove

## Function

Interactive DNA parsimony

## Description

Interactive construction of phylogenies from nucleic acid sequences, with their evaluation by parsimony and compatibility and the display of reconstructed ancestral bases. This can be used to find parsimony or compatibility estimates by hand.

## Algorithm

DNAMOVE is an interactive DNA parsimony program, inspired by Wayne Maddison and David and Wayne Maddison's marvellous program MacClade, which is written for Macintosh computers. DNAMOVE reads in a data set which is prepared in almost the same format as one for the DNA parsimony program DNAPARS. It allows the user to choose an initial tree, and displays this tree on the screen. The user can look at different sites and the way the nucleotide states are distributed on that tree, given the most parsimonious reconstruction of state changes for that particular tree. The user then can specify how the tree is to be rearraranged, rerooted or written out to a file. By looking at different rearrangements of the tree the user can manually search for the most parsimonious tree, and can get a feel for how different sites are affected by changes in the tree topology.

This program uses graphic characters that show the tree to best advantage on some computer systems. Its graphic characters will work best on MSDOS systems or MSDOS windows in Windows, and to any system whose screen or terminals emulate ANSI standard terminals such as old Digital VT100 terminals, Telnet programs, or VT100-compatible windows in the X windowing system. For any other screen types, (such as Macintosh windows) there is a generic option which does not make use of screen graphics characters. The program will work well in those cases, but the tree it displays will look a bit uglier.

This program carries out unrooted parsimony (analogous to Wagner trees) (Eck and Dayhoff, 1966; Kluge and Farris, 1969) on DNA sequences. The method of Fitch (1971) is used to count the number of changes of base needed on a given tree.

The assumptions of this method are exactly analogous to those of MIX:

1. Each site evolves independently.
2. Different lineages evolve independently.
3. The probability of a base substitution at a given site is small over the lengths of time involved in a branch of the phylogeny.
4. The expected amounts of change in different branches of the phylogeny do not vary by so much that two changes in a high-rate branch are more probable than one change in a low-rate branch.
5. The expected amounts of change do not vary enough among sites that two changes in one site are more probable than one change in another.

That these are the assumptions of parsimony methods has been documented in a series of papers of mine: (1973a, 1978b, 1979, 1981b, 1983b, 1988b). For an opposing view arguing that the parsimony methods make no substantive assumptions such as these, see the papers by Farris (1983) and Sober (1983a, 1983b), but also read the exchange between Felsenstein and Sober (1986).

Change from an occupied site to a deletion is counted as one change. Reversion from a deletion to an occupied site is allowed and is also counted as one change.

## Usage

Here is a sample session with fdnamove

    % fdnamove
    Interactive DNA parsimony
    Input sequence: dnamove.dat
    Input tree file:

     5 species,  13  sites

    Computing steps needed for compatibility in sites ...

      (unrooted)                          19.0 Steps            11 sites compatible

      ,-----------5:Epsilon
    --9
      !  ,--------4:Delta
      `--8
         !  ,-----3:Gamma
         `--7
            !  ,--2:Beta
            `--6
               `--1:Alpha

    NEXT? (Options: R # + - S . T U W O F H J K L C ? X Q) (? for Help) Do you want to write out the tree to a file? (Y or N)
    Tree written to file "dnamove.treefile"

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-sequence]          seqsetall  (no help text) seqsetall value
      [-intreefile]        tree       (no help text) tree value

       Additional (Optional) qualifiers (* if not always prompted):
       -weights            properties Weights file - Ignore sites with weight zero
       -outgrno            integer    Species number to use as outgroup
       -thresh             toggle     Use threshold parsimony
    *  -threshold          float      Threshold value
       -initialtree        menu       Initial tree
       -screenwidth        integer    Width of terminal screen in characters
       -screenlines        integer    Number of lines on screen
       -outtreefile        outfile    Output file name

       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -sformat1           string     Input sequence format
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outtreefile" associated qualifiers
       -odirectory         string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | (no help text) seqsetall value | Readable sets of sequences |
[-intreefile] (Parameter 2) | (no help text) tree value | Phylogenetic tree |
Additional (Optional) qualifiers | Allowed values | Default
-weights | Weights file - Ignore sites with weight zero | Property value(s) |
-outgrno | Species number to use as outgroup | Integer 0 or more | 0
-thresh | Use threshold parsimony | Toggle value Yes/No | No
-threshold | Threshold value | Number 1.000 or more | 1

-initialtree

Initial tree

a | (Arbitary)
u | (User)
s | (Specify)

Arbitary

-screenwidth | Width of terminal screen in characters | Any integer value | 80
-screenlines | Number of lines on screen | Any integer value | 24
-outtreefile | Output file name | Output file | <sequence>.fdnamove
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

fdnamove reads any normal sequence USAs.

### Input files for usage example

### File: dnamove.dat

       5   13
    Alpha     AACGUGGCCA AAU
    Beta      AAGGUCGCCA AAC
    Gamma     CAUUUCGUCA CAA
    Delta     GGUAUUUCGG CCU
    Epsilon   GGGAUCUCGG CCC

## Output file format

fdnamove outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

### Output files for usage example

### File: dnamove.treefile

    (Epsilon,(Delta,(Gamma,(Beta,Alpha))));

## Data files

None

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
ednacomp | DNA compatibility algorithm
ednadist | Nucleic acid sequence Distance Matrix program
ednainvar | Nucleic acid sequence Invariants method
ednaml | Estimates phylogenies from nucleic acid sequence Maximum Likelihood
ednamlk | Estimates phylogenies from nucleic acid sequence Maximum Likelihood with molecular clock
ednapars | DNA parsimony algorithm
ednapenny | Penny algorithm for DNA
eprotdist | Protein distance algorithm
eprotpars | Protein parsimony algorithm
erestml | Restriction site Maximum Likelihood method
eseqboot | Bootstrapped sequences algorithm
fdiscboot | Bootstrapped discrete sites algorithm
fdnacomp | DNA compatibility algorithm
fdnadist | Nucleic acid sequence Distance Matrix program
fdnainvar | Nucleic acid sequence Invariants method
fdnaml | Estimates nucleotide phylogeny by maximum likelihood
fdnamlk | Estimates nucleotide phylogeny by maximum likelihood
fdnapars | DNA parsimony algorithm
fdnapenny | Penny algorithm for DNA
fdolmove | Interactive Dollo or Polymorphism Parsimony
ffreqboot | Bootstrapped genetic frequencies algorithm
fproml | Protein phylogeny by maximum likelihood
fpromlk | Protein phylogeny by maximum likelihood
fprotdist | Protein distance algorithm
fprotpars | Protein pasimony algorithm
frestboot | Bootstrapped restriction sites algorithm
frestdist | Computes distance matrix from restriction sites or fragments
frestml | Restriction site maximum Likelihood method
fseqboot | Bootstrapped sequences algorithm
fseqbootall | Bootstrapped sequences algorithm

## Author(s)

This program is an EMBOSS conversion of a program written by Joe Felsenstein as part of his PHYLIP package.

Although we take every care to ensure that the results of the EMBOSS version are identical to those from the original package, we recommend that you check your inputs give the same results in both versions before publication.

Please report all bugs in the EMBOSS version to the EMBOSS bug team, not to the original author.

## History

Written (2004) - Joe Felsenstein, University of Washington.

Converted (August 2004) to an EMBASSY program by the EMBOSS team.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.